Advertisement
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Changing the version of the AI

Comments in 'Plugin Development' started by YanSoo, Jul 28, 2016.

  1. YanSoo
    Offline

    YanSoo New Member

    Joined:
    Apr 28, 2016
    Posts:
    23
    Minecraft User:
    YanSoo
    Well I just started my server today and went fishing for plugins at pocketmine.net, and when I try to download and place the plugins and start my server up... It says the version of the AI isn't compatible... When I change the AI in the plugin phar file... It Doesn't Work... I am using the Diebo's 64x bit installer 1.6 version PHP7 latest Pocketmine-mp.phar file... I don't get it... I need HELP!!!!
  2. minebuilder0110
    Offline

    minebuilder0110 Notable Member

    Joined:
    Dec 8, 2014
    Posts:
    485
    Minecraft User:
    Apparitional
    thebigsmileXD likes this.
  3. YanSoo
    Offline

    YanSoo New Member

    Joined:
    Apr 28, 2016
    Posts:
    23
    Minecraft User:
    YanSoo
    How Do I know which files to add a Tag onto their code and how do I convert a zip folder back into a phar file so I can run it...
  4. rinkuno
    Offline

    rinkuno Active Member

    Joined:
    Oct 8, 2014
    Posts:
    59
    Minecraft User:
    rinku
    Use dev tools to convert to phar
  5. YanSoo
    Offline

    YanSoo New Member

    Joined:
    Apr 28, 2016
    Posts:
    23
    Minecraft User:
    YanSoo
    I cant because to use dev tools to convert into phar... I have to change the API of dev tools to actually install it
  6. JackboyPlay
    Offline

    JackboyPlay Active Member

    Joined:
    Apr 25, 2015
    Posts:
    507
    Minecraft User:
    JackboyPlay
    Maybe take it from githuv and change the api from devtools to 2.0.0
  7. rinkuno
    Offline

    rinkuno Active Member

    Joined:
    Oct 8, 2014
    Posts:
    59
    Minecraft User:
    rinku
    Extract plugin command in devtools
  8. MCPEPIG
    Offline

    MCPEPIG Notable Member

    Joined:
    Jun 22, 2014
    Posts:
    349
    Minecraft User:
    MCPEPIG
    YanSoo likes this.
  9. YanSoo
    Offline

    YanSoo New Member

    Joined:
    Apr 28, 2016
    Posts:
    23
    Minecraft User:
    YanSoo
    Oh ok, So all I have to do is download all my plugins from GitHub? Right?
  10. MCPEPIG
    Offline

    MCPEPIG Notable Member

    Joined:
    Jun 22, 2014
    Posts:
    349
    Minecraft User:
    MCPEPIG
    If they're updated, yes. If not, you'll have to manually update them.

Share This Page

Advertisement